.personal-details {
  padding: 2.5rem 2rem;
  border-radius: 2.5rem;
  background: #ffffff;
}

p {
  font-size: 1.6rem;
  font-weight: bold;
  padding: 1rem;
  border-bottom: #0d0d0d 1px solid;
}

.container-details {
  display: grid;
  grid-template-columns: 2.5rem repeat(7, 1fr) 2.5rem;

  div:nth-child(n)[class="section"] {
    grid-column: 2/9;
    font-size: 1.5rem;
    border-bottom: 1px dotted;
    height: 2rem;
  }

  div:nth-child(n)[class="subsection"] {
    grid-column: 2/9;
    font-size: 1.5rem;
    height: 4rem;
    margin-left: 2rem;
    margin-bottom: 0.5rem;
  }

  div:nth-child(n):not([class="section"]):not([class="subsection"]) {
    grid-column: 2/9;
    display: grid;
    align-items: center;
    justify-items: start;
  }

  #validation-errors-surname,
  #validation-errors-forename {
    .error-message {
      grid-column: 1/9;
      color: red;
      font-size: 1.2rem;
      margin-bottom: 0.5rem;
      margin-left: 2.5rem;
    }

    .error-message-hidden {
      display: none;
    }
  }

  section:nth-child(n) {
    grid-column: 2/9;
    margin: 0.5rem 2rem;
    font-size: 1.4rem;
  }

  section.personal-data {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    margin: 0;

    .header {
      border-bottom: #0d0d0d 1px dotted;
      padding-bottom: 0.2rem;
      margin-right: 0.1rem;
      font-size: 1.5rem;
    }

    #dateOfBirth {
      margin: 1rem 1rem 1rem 2rem;
    }

    #countries {
      margin: 1rem 1rem 1rem 0;
    }

    #placeOfBirth {
      margin: 1rem 0 1rem 1rem;
    }

    .country-of-birth-error-message {
      grid-column: 2/3;
      color: red;
      font-size: 1.2rem;
      margin-bottom: 0.5rem;
      margin-left: 0.5rem;
    }

    .error-message-hidden {
      display: none;
    }

    div {
      &:nth-child(1),
      &:nth-child(4) {
        grid-column: 1/2;
      }

      &:nth-child(2),
      &:nth-child(5) {
        grid-column: 2/3;
      }

      &:nth-child(3),
      &:nth-child(6) {
        grid-column: 3/4;
      }
    }
  }

  issuer-pda1-address {
    grid-column: 2/9;
  }

  issuer-pda1-stay-address {
    grid-column: 2/9;
  }
}

@media screen and (max-width: 528px) {
  .container-details {
    div:nth-child(n)[class="section"],
    div:nth-child(n)[class="subsection"],
    div:nth-child(n):not([class="section"]):not([class="subsection"]),
    issuer-pda1-address,
    issuer-pda1-stay-address,
    section.personal-data {
      grid-column: 1/10;
    }

    section.personal-data {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      margin: 0;

      div[id="validation-errors-surname"],
      div[id="validation-errors-forename"] {
        .error-message {
          margin: 0;
        }

        .error-message-hidden {
          display: none;
        }
      }

      #dateOfBirth {
        margin: 1rem 0;
      }

      #countries {
        margin: 1rem 0 0 0;
      }

      #placeOfBirth {
        margin: 1rem 0;
      }

      .country-of-birth-error-message {
        grid-column: 1/3;
        color: red;
        font-size: 1.2rem;
        margin-bottom: 0.5rem;
        margin-left: 0.5rem;
      }

      .error-message-hidden {
        display: none;
      }

      div {
        &:nth-child(1),
        &:nth-child(2),
        &:nth-child(3),
        &:nth-child(4),
        &:nth-child(5),
        &:nth-child(6) {
          grid-column: 1/3;
          margin: 0.5rem 0;
        }

        .header {
          border-bottom: #0d0d0d 1px dotted;
          padding-bottom: 0.2rem;
          margin-right: 0.1rem;
          font-size: 1.5rem;
        }
      }
    }
  }
}
